# Gimp.PlugIn::create_procedure

    function vfunc_create_procedure(procedure_name: String): Gimp.Procedure {
    }

This method must be overridden by all plug-ins and return a newly allocated Gimp.Procedure named @name.

This method will be called for every @name as returned by [vfunc@PlugIn.query_procedures] and [vfunc@PlugIn.init_procedures] so care must be taken to handle them all. Upon procedure registration, [vfunc@PlugIn.create_procedure] will be called in the order of the lists returned by [vfunc@PlugIn.query_procedures] and [vfunc@PlugIn.init_procedures]

procedure_name

  procedure name.

Returns

  the procedure to be registered or executed by plug_in.